<xml> </xml>

IrrKlang.NET |

# ISound Methods

The methods of the ISound class are listed below. For a complete list of ISound class members, see the ISound Members topic.

#### Public Instance Methods

Dispose |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
setSoundStopEventReceiver | Overloaded. Sets the sound stop event receiver, an interface which gets called if a sound has finished playing.
Stop |
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize | Destructor
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

ISound Class | IrrKlang Namespace